Summary: Practical Extraction and Report Language
Name: perl
%define perlver 5.005
%define perlrel 03
%define perlbase %{perlver}_%{perlrel}
%define jperlver 990619
%ifarch ppc 
%define USETHREADS
%define perlthread ""
%else
%define USETHREADS -Dusethreads
%define perlthread -thread
%endif
Version: %{perlver}_%{perlrel}jp%{jperlver}
Release: 2a
Copyright: GPL or Artistic License
Group: Utilities/Text
Source: ftp://ftp.lab.kdd.co.jp/CPAN/authors/id/GBAAR/perl%{perlver}_%{perlrel}.tar.gz
Patch: ftp://ftp.lab.kdd.co.jp/CPAN/authors/id/WATANABE/jperl%{perlver}_%{perlrel}-%{jperlver}.pat.gz
Patch1: localhost:/perl5.005_03-db1.patch
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-root
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
# Packager: Atsushi Yamagata <yamagata@plathome.co.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%description
Perl is an interpreted language optimized for scanning arbitrary text
files, extracting information from those text files, and printing reports
based on that information.  It's also a good language for many system
management tasks.  The language is intended to be practical (easy to use,
efficient, complete) rather than beautiful (tiny, elegant, minimal).

%prep
%setup -n perl%{perlbase}
%patch -p1
%patch1 -p1

rm -rf ${RPM_BUILD_ROOT}

%build
# this is gross
cat > config.over <<EOF
installprefix=${RPM_BUILD_ROOT}%{prefix}
test -d \$installprefix || mkdir \$installprefix
test -d \$installprefix/bin || mkdir \$installprefix/bin
installarchlib=\`echo \$installarchlib | sed "s!\$prefix!\$installprefix!"\`
installbin=\`echo \$installbin | sed "s!\$prefix!\$installprefix!"\`
installman1dir=\`echo \$installman1dir | sed "s!\$prefix!\$installprefix!"\`
installman3dir=\`echo \$installman3dir | sed "s!\$prefix!\$installprefix!"\`
installprivlib=\`echo \$installprivlib | sed "s!\$prefix!\$installprefix!"\`
installscript=\`echo \$installscript | sed "s!\$prefix!\$installprefix!"\`
installsitelib=\`echo \$installsitelib | sed "s!\$prefix!\$installprefix!"\`
installsitearch=\`echo \$installsitearch | sed "s!\$prefix!\$installprefix!"\`
EOF

sh Configure -des -Dprefix=%{prefix} -Darchname=${RPM_ARCH}-linux -Dd_dosuid \
	-Ud_setresuid -Ud_setresgid %{USETHREADS} -Dd_semctl_semun 
make
make test

# Strip binaries (done now rather than at install)
strip perl
strip suidperl
strip x2p/a2p

%install
make install
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; ln -s perl%{perlver}%{perlrel} jperl)
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; ln -s perl%{perlver}%{perlrel} eucperl)
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; ln -s perl%{perlver}%{perlrel} sjisperl)

(cd /usr/include ; 
	PERL5LIB=${RPM_BUILD_ROOT}%{prefix}/lib/perl5 \
	${RPM_BUILD_ROOT}%{prefix}/bin/perl \
	${RPM_BUILD_ROOT}%{prefix}/lib/perl5/%{perlver}%{perlrel}/${RPM_ARCH}-linux%{perlthread} \
	${RPM_BUILD_ROOT}%{prefix}/bin/h2ph \
	-d ${RPM_BUILD_ROOT}%{prefix}/lib/perl5/${RPM_ARCH}-linux/%{perlver}%{perlrel}/ \
	*.h sys/*.h linux/*.h asm/*.h net/*.h netinet/*.h arpa/*.h
)

# Fix up Config.pm to remove evidence of our buildroot hack
cd ${RPM_BUILD_ROOT}%{prefix}/lib/perl5/%{perlver}%{perlrel}/${RPM_ARCH}-linux%{perlthread}/
mv Config.pm Config.pm.old
sed "s|${RPM_BUILD_ROOT}||" <Config.pm.old >Config.pm
rm -f Config.pm.old

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%doc Artistic Changes* Copying INSTALL MANIFEST README* Todo*
%{prefix}/bin/*
%{prefix}/lib/perl5/
%{prefix}/man/*/*

%changelog
* Sun Jun 18 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to jperl5.005_03-990619

* Sat Jun 12 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- built against MkLinux+linuxppc-dev-rel
- added glibc2.1 patch 

* Sat May 8 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- built against linuxppc-R4

* Fri May 07 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 5.005_03jp990503

* Thu Apr 22 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- built against linuxppc-R4

* Tue Apr 13 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 5.005_03jp990403

* Wed Jan 13 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against glibc and wcsmbs
- added Distribution, Vendor, and Packager tags

* Mon Dec 29 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Update to perl5.005_02jp981225.

* Tue Oct 15 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Add -Ud_setlocale option.

* Wed Oct  1 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Update to perl5.005_02jp980929.

* Sat Sep 19 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Update to perl5.005_02jp980917.

* Mon Sep  7 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Update to perl5.005_02jp980905.
- Now all patches are deleted.

* Thu Mar 12 1998 Tatsuo Munakata <munakata@fb3.so-net.or.jp>
- Repackaged to 5.004_04jp980303 from 5.004_04jp971016-1
- perl-5.004_04jp971016-1 was pacaged by  ICHIKAWA Tetsuro <neptune@st.rim.or.jp>
- Added perl-5.004-tmprace.patch <ftp://ftp.redhat.com//pub/redhat/redhat-4.2/updates/SRPMS>
- This patch was created by Cristian Gafton <gafton@redhat.com>

* Thu Feb 5 1998 Tatsuo Munakata <munakata@fb3.so-net.or.jp>
- Rebuild for ppc arch for MacExpo
- Added perl5.004-ppc.patch, whichi is included perl-5.004_01-1.src.rpm <ftp://ftp.linuxppc.org/linuxppc/redhat/SRPMS/>
- This patch was created by Gary Thomas <gdt@linuxppc.org>
